POSTsuix_getCoinMetadata

Sui Mainnethttps://sui-mainnet.nodit.io/

Return metadata (e.g., symbol, decimals) for a coin. Note that if the coin's metadata was wrapped in the transaction that published its marker type, or the latest version of the metadata object is wrapped or deleted, it will not be found.

Request Body
idintegerrequired
jsonrpcstringrequired
methodstringrequired
paramsoneOf[]required
params[0]string

Type name for the coin (e.g., 0x168da5bf1f48dafc111b0a488fa454aca95e0b5e::usdc::USDC)

Responses
idinteger
jsonrpcstring
decimalsinteger (uint8)required

Number of decimal places the coin uses.

descriptionstringrequired

Description of the token

iconUrlstringnull

URL for the token logo

idstring

Hex string encoding.

namestringrequired

Name for the token

symbolstringrequired

Symbol for the token

X-API-KEY
RequestCU10
cURL
curl -X POST "https://sui-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "suix_getCoinMetadata",
  "params": [
    "0x168da5bf1f48dafc111b0a488fa454aca95e0b5e::usdc::USDC"
  ]
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "result": {
    "decimals": 9,
    "name": "Usdc",
    "symbol": "USDC",
    "description": "Stable coin.",
    "iconUrl": null,
    "id": "0x51ceab2edc89f74730e683ebee65578cb3bc9237ba6fca019438a9737cf156ae"
  },
  "id": 1
}